function ininterp
%
% Inverse Interpolation mit Newton-Schema zur Nullstellenbestimmung
%
g=inline('cos(y)*cosh(y)+1');
y(1,1)=1.8;
y(2,1)=1.9;

x(1)=g(y(1,1));
x(2)=g(y(2,1));

for n=1:100
    for i=1:n
        y(n+1-i,i+1)=(y(n+2-i,i)-y(n+1-i,i))/(x(n+1)-x(n+1-i));
    end;
    s=y(1,n+1);
    for i=n:-1:1
        s=s*(0-x(i))+y(1,i);
    end;
    y(n+2,1)=s;
    x(n+2)=g(y(n+2,1));
    if x(n+2)==x(n+1) break; end;
end;

y
for i=1:n+2
    fprintf('y_%i=%10.8f   |g(y_%i)|=%8.2e\n',i,y(i,1),i,x(i));
end;
fprintf('\ny_%i=%18.16f\n',n+1,y(n+1,1));

%
% y =
%     1.8000   -0.2507   -0.0457   -0.0136   -0.0047 -703.5124
%     1.9000   -0.2375   -0.0417   -0.0123  206.8107         0
%     1.8737   -0.2419   -0.0429   21.6857         0         0
%     1.8751   -0.2417   -0.1690         0         0         0
%     1.8751   -0.2417         0         0         0         0
%     1.8751         0         0         0         0         0
%     1.8751         0         0         0         0         0
% 
% y_1=1.80000000   |g(y_1)|=2.94e-01
% y_2=1.90000000   |g(y_2)|=-1.05e-01
% y_3=1.87369794   |g(y_3)|=5.81e-03
% y_4=1.87510652   |g(y_4)|=-1.01e-05
% y_5=1.87510407   |g(y_5)|=-3.55e-11
% y_6=1.87510407   |g(y_6)|=2.22e-16
% y_7=1.87510407   |g(y_7)|=2.22e-16
% 
% y_end=1.8751040687119611
%
