function newtoninter,
f=inline('sin(x*pi/2)');
tt=-1:0.001:1;
ts=[-1/2 1/2 -1 1 0 -1/4 1/4 -3/4 3/4];
T(:,1)=f(ts);

for d=1:length(ts);
    % Steigungsschema erweitern
    for i=1:length(ts)-d;
        T(i,d+1)=(T(i,d)-T(i+1,d))/(ts(i)-ts(i+d));
    end;
    
    % Auswertung des Polynoms in Newton-Darstellung
    s(d,:)=ones(size(tt))*T(1,d);
    for j=d-1:-1:1
        s(d,:)=s(d,:).*(tt-ts(j))+T(1,j);
    end;
end;

T
ind=[1 2 3 4 6 8];
for i=1:length(ind) text{i}=num2str(ind(i)); end;
text{length(ind)+1}='exakt';text{length(ind)+2}='Knoten';

subplot(2,1,1);
h=plot(tt,s(ind,:),tt,f(tt),'k--',ts,f(ts),'x');
set(h(1:5),{'LineStyle'},{'--','-',':','--','-.'}');
legend(text);

subplot(2,1,2);
h=semilogy(tt,abs(s(ind,:)-repmat(f(tt),length(ind),1)));
set(h(1:5),{'LineStyle'},{'--','-',':','--','-.'}');
title('Fehler');
legend(text{1:length(ind)});

for d=1:length(ts)
    err=norm(s(d,:)-f(tt),inf);
    errt1=(pi/2)^d/prod(1:d)*2^d;
    w=ones(size(tt));
    for i=1:d
        w=w.*(tt-ts(i));
    end;
    errt2=(pi/2)^d/prod(1:d)*norm(w,inf);
    title(sprintf('\\omega_%i',d-1));
    fprintf('Fehler P_0..%i: %8.2e, Schranke1:%8.2e Schranke2:%8.2e\n',...
        d-1,err,errt1,errt2);
end;
% 
%  -0.7071  1.4142  0.5523 -0.5523       0  0.0738       0 -0.0044     0
%   0.7071  1.1381 -0.2761 -0.5523  0.0184  0.0738  0.0011 -0.0044     0
%  -1.0000  1.0000       0 -0.5661       0  0.0724       0       0     0
%   1.0000  1.0000 -0.4246 -0.5661  0.0181  0.0724       0       0     0
%        0  1.5307       0 -0.5978       0       0       0       0     0
%  -0.3827  1.5307  0.4483 -0.5978       0       0       0       0     0
%   0.3827  1.3066 -0.1494       0       0       0       0       0     0
%  -0.9239  1.2318       0       0       0       0       0       0     0
%   0.9239       0       0       0       0       0       0       0     0
%     
% Fehler P_0..0: 1.71e+00, Schranke1:3.14e+00 Schranke2:2.36e+00
% Fehler P_0..1: 4.14e-01, Schranke1:4.93e+00 Schranke2:9.25e-01
% Fehler P_0..2: 8.28e-01, Schranke1:5.17e+00 Schranke2:9.69e-01
% Fehler P_0..3: 8.07e-03, Schranke1:4.06e+00 Schranke2:6.34e-02
% Fehler P_0..4: 8.07e-03, Schranke1:2.55e+00 Schranke2:9.04e-03
% Fehler P_0..5: 3.25e-04, Schranke1:1.34e+00 Schranke2:2.56e-03
% Fehler P_0..6: 3.25e-04, Schranke1:5.99e-01 Schranke2:3.49e-04
% Fehler P_0..7: 2.84e-06, Schranke1:2.35e-01 Schranke2:1.11e-04
% Fehler P_0..8: 2.84e-06, Schranke1:8.21e-02 Schranke2:3.02e-06
